### Name: RPPAFit-class
### Title: The RPPAFit Class
### Aliases: RPPAFit-class summary,RPPAFit-method coef,RPPAFit-method
###   coefficients,RPPAFit-method fitted,RPPAFit-method
###   residuals,RPPAFit-method resid,RPPAFit-method image,RPPAFit-method
###   hist,RPPAFit-method plot,RPPAFit-method
### Keywords: regression robust

### ** Examples

path <- system.file("rppaTumorData", package="SuperCurve")
erk2 <- RPPA("ERK2.txt", path=path)
design <- RPPADesign(erk2, grouping="blockSample",
                     controls=list("neg con", "pos con"))
fit.nls <- RPPAFit(erk2, design, "Mean.Net")
image(fit.nls, measure="Residuals")
image(fit.nls, measure="LinRes")
plot(fit.nls, type="cloud")

fit.q <- RPPAFit(erk2, design, "Mean.Net", method="quantiles")
hist(fit.q, type="StdRes")
plot(fit.q, type="series")

coef(fit.nls)
coef(fit.q)

plot(fitted(fit.q), resid(fit.q))



